Package org.codehaus.groovy.control.customizers.builder

# Class SourceAwareCustomizerFactory.SourceOptions

java.lang.Object
org.codehaus.groovy.control.customizers.builder.SourceAwareCustomizerFactory.SourceOptions

Enclosing class:
  SourceAwareCustomizerFactory

public static class SourceAwareCustomizerFactory.SourceOptions extends Object
Collected builder options used to create a `SourceAwareCustomizer`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `basename`
  Single accepted base file name.
  `List<String>`
  `basenames`
  Accepted base file names.
  `Closure<Boolean>`
  `basenameValidator`
  Validator for base file names.
  `Closure<Boolean>`
  `classValidator`
  Validator for class nodes.
  `CompilationCustomizer`
  `delegate`
  Delegate customizer to invoke when the source matches.
  `String`
  `extension`
  Single accepted file extension.
  `List<String>`
  `extensions`
  Accepted file extensions.
  `Closure<Boolean>`
  `extensionValidator`
  Validator for file extensions.
  `Closure<Boolean>`
  `unitValidator`
  Validator for source units.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### delegate

    public CompilationCustomizer delegate
    Delegate customizer to invoke when the source matches.

  - ### extensionValidator

    public Closure<Boolean> extensionValidator
    Validator for file extensions.

  - ### unitValidator

    public Closure<Boolean> unitValidator
    Validator for source units.

  - ### basenameValidator

    public Closure<Boolean> basenameValidator
    Validator for base file names.

  - ### classValidator

    public Closure<Boolean> classValidator
    Validator for class nodes.

  - ### extension

    public String extension
    Single accepted file extension.

  - ### basename

    public String basename
    Single accepted base file name.

  - ### extensions

    public List<String> extensions
    Accepted file extensions.

  - ### basenames

    public List<String> basenames
    Accepted base file names.

- ## Constructor Details

  - ### SourceOptions

    public SourceOptions()